# XQilla Simple API Documentation

# StaticAnalysis::VarEntry Class Reference

`#include <StaticAnalysis.hpp>`

List of all members.

## Public Member Functions

| VarEntry ()
void | set (const XMLCh *u, const XMLCh *n)
void | set (const XMLCh *u, const XMLCh *n, size_t h)

## Public Attributes

const XMLCh * | uri
const XMLCh * | name
size_t | hash
VarEntry * | prev

## Constructor & Destructor Documentation

StaticAnalysis::VarEntry::VarEntry | ( |  | ) | `[inline]`

## Member Function Documentation

void StaticAnalysis::VarEntry::set | ( | const XMLCh * | u,
|  | const XMLCh * | n,
|  | size_t | h |
| ) |  |  |

void StaticAnalysis::VarEntry::set | ( | const XMLCh * | u,
|  | const XMLCh * | n |
| ) |  |  |

## Member Data Documentation

size_t StaticAnalysis::VarEntry::hash

const XMLCh * StaticAnalysis::VarEntry::name

VarEntry* StaticAnalysis::VarEntry::prev

const XMLCh* StaticAnalysis::VarEntry::uri

The documentation for this class was generated from the following file:

- StaticAnalysis.hpp